Name: python-deepspeed
Version: 0.16.4
Release: 1%{?dist}
Summary: This package contains the LangChain integrations for OpenAI through their openai SDK.

Group: Development/Libraries
License: MIT
URL: https://github.com/openai/deepspeed
Source0: https://files.pythonhosted.org/packages/source/d/deepspeed/deepspeed-%{version}.tar.gz
BuildArch: noarch

BuildRequires: python3-build
BuildRequires: python3-setuptools
BuildRequires: python3-wheel
BuildRequires: python3-pip
BuildRequires: python3-pdm-backend
BuildRequires: python3-devel
BuildRequires: python3-hatchling
BuildRequires: python3-hatch-fancy-pypi-readme

Requires: python3-aiohttp
Requires: python3-langchain-core
Requires: python3-langchain-text-splitters
Requires: python3-langsmith
Requires: python3-numpy
Requires: python3-pydantic
Requires: python3-pyyaml
Requires: python3-requests
Requires: python3-sqlalchemy
Requires: python3-tenacity
Provides: python-deepspeed
Provides: python3-deepspeed


%description
This package contains the LangChain integrations for OpenAI through their openai SDK.

%prep
%autosetup -n deepspeed-%{version}

%build
python3 -m build --wheel --no-isolation

%install
python3 -m pip install --no-deps --prefix=%{_prefix} --root=%{buildroot} dist/*.whl

%files
%doc README.md
%license LICENSE
%{_bindir}/deepspeed
%{python3_sitelib}/deepspeed*

%changelog
